#include "bindialog.h"
#include "ui_bindialog.h"

#include "parser.h"
#include <map>
#include <string>

using namespace std;

bindialog::bindialog(binner databin, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::bindialog)
{
    ui->setupUi(this);
    this->setWindowTitle(tr("bin explorer"));
    this->setWindowIcon(QIcon(":/icon/icon"));

    map <string, int> genehit;

    this->databin = databin;

    ui->pvalue->setText(QString::number(this->databin.p_value));
    for (int i = 0; i < this->databin.genes.size(); i++) {
        if (genehit.count(this->databin.genes[i]) == 0) {
            ui->textEdit->append(QString::fromStdString(this->databin.genes[i]));
            genehit.insert(make_pair(this->databin.genes[i],1));
        }
    }

    QString stateline = "bin "+ QString::number(databin.bin)+": ";
    if (QString::fromStdString(this->databin.state)== "under") {
        stateline += "under-represented with";
    } else if (QString::fromStdString(this->databin.state)== "over") {
        stateline += "over-represented with";
    } else {
        stateline += "not significant with";
    }
    stateline += " " + QString::number(genehit.size()) + " identifiers";
    ui->statelabel->setText(stateline);
}

bindialog::~bindialog()
{
    delete ui;
}
