#include "box.h"
#include <QtGui>

box::box(int width, int height, QColor fill, QColor border, int xoffset, int yoffset, bool interact)
{
    this->width = width;
    this->height = height;
    this->fill = fill;
    this->border = border;
    this->xoffset = xoffset;
    this->yoffset = yoffset;
    this->interact = interact;
}

QRectF box::boundingRect() const
{
    return QRectF(this->xoffset, this->yoffset, this->width, this->height);
}

QPainterPath box::shape() const
{
    QPainterPath path;
    path.addRect(this->xoffset, this->yoffset, this->width, this->height);
    return path;
}

void box::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) {
    painter->setBrush(this->fill);
    painter->setPen(this->border);
    painter->drawRect(QRect(this->xoffset, this->yoffset, this->width, this->height));
}

void box::mousePressEvent(QGraphicsSceneMouseEvent *event)
{
    if(this->interact) {
//        event->accept();
//        this->width+=10;
//        //location to launch new info dialog
//        update();
    }
    QGraphicsItem::mousePressEvent(event);
}
