#ifndef BOX_H
#define BOX_H

#include <QtGui>

class box: public QGraphicsItem
{
public:
    box(int width, int height, QColor fill, QColor border, int xoffset, int yoffset, bool interact = true);

    QRectF boundingRect() const;
    QPainterPath shape() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);

protected:
    void mousePressEvent(QGraphicsSceneMouseEvent *event);

private:
    int width;
    int height;
    QColor fill;
    QColor border;
    int yoffset;
    int xoffset;
    bool interact;
};

#endif // BOX_H
