#include "box_bin.h"
#include <QtGui>
#include "parser.h"
#include "bindialog.h"

box_bin::box_bin(int width, int height, QColor fill, QColor border, int xoffset, int yoffset, binner databin, bool interact)
{
    this->width = width;
    this->height = height;
    this->fill = fill;
    this->border = border;
    this->xoffset = xoffset;
    this->yoffset = yoffset;
    this->databin = databin;
    this->interact = interact;
}

QRectF box_bin::boundingRect() const
{
    return QRectF(this->xoffset, this->yoffset, this->width, this->height);
}

QPainterPath box_bin::shape() const
{
    QPainterPath path;
    path.addRect(this->xoffset, this->yoffset, this->width, this->height);
    return path;
}

void box_bin::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) {
    painter->setBrush(this->fill);
    painter->setPen(this->border);
    painter->drawRect(QRect(this->xoffset, this->yoffset, this->width, this->height));
}

void box_bin::mousePressEvent(QGraphicsSceneMouseEvent *event)
{
    if(this->interact) {
        event->accept();
        bindialog *dialog = new bindialog(this->databin);
        dialog->show();
        //this->width+=10;
        //location to launch new info dialog
        //update();
    }
    QGraphicsItem::mousePressEvent(event);

}
