#include "box_interact.h"
#include <QtGui>

box_interact::box_interact(int width, int height, QColor fill, QColor border, int xoffset, int yoffset, QColor lborder, QColor rborder, QColor tborder, QColor bborder, bool plus, bool interact)
{
    this->width = width;
    this->height = height;
    this->fill = fill;
    this->border = border;
    this->xoffset = xoffset;
    this->yoffset = yoffset;
    this->interact = interact;
    this->lborder = lborder;
    this->rborder = rborder;
    this->bborder = bborder;
    this->tborder = tborder;
    this->plus = plus;
}

QRectF box_interact::boundingRect() const
{
    return QRectF(this->xoffset, this->yoffset, this->width, this->height);
}

QPainterPath box_interact::shape() const
{
    QPainterPath path;
    path.addRect(this->xoffset, this->yoffset, this->width, this->height);
    return path;
}

void box_interact::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) {
    painter->setBrush(this->fill);
    painter->setPen(this->border);
    painter->drawRect(QRect(this->xoffset, this->yoffset, this->width, this->height));

    painter->setPen(this->lborder);
    painter->drawLine(this->xoffset, this->yoffset,this->xoffset, this->yoffset+this->height);

    painter->setPen(this->rborder);
    painter->drawLine(this->xoffset+this->width, this->yoffset,this->xoffset+this->width, this->yoffset+this->height);

    painter->setPen(this->tborder);
    painter->drawLine(this->xoffset, this->yoffset,this->xoffset+this->width, this->yoffset);

    painter->setPen(this->bborder);
    painter->drawLine(this->xoffset, this->yoffset+this->height,this->xoffset+this->width, this->yoffset+this->height);

    if (plus) {
        painter->setPen(QColor(0,0,0));
        painter->drawLine(this->xoffset+this->width/2, this->yoffset+this->width*0.4, this->xoffset+this->width/2, this->yoffset+this->width*0.6);
        painter->drawLine(this->xoffset+this->width*0.4, this->yoffset+this->width/2, this->xoffset+this->width*0.6, this->yoffset+this->width/2);
    }
}

void box_interact::mousePressEvent(QGraphicsSceneMouseEvent *event)
{
    if(this->interact) {
//        event->accept();
//        this->width+=10;
//        //location to launch new info dialog
//        update();
    }
    QGraphicsItem::mousePressEvent(event);
}
