#ifndef BOX_INTERACT_H
#define BOX_INTERACT_H

#include <QtGui>

class box_interact: public QGraphicsItem
{
public:
    box_interact(int width, int height, QColor fill, QColor border, int xoffset, int yoffset, QColor lborder, QColor rborder, QColor tborder, QColor bborder, bool plus, bool interact = false);

    QRectF boundingRect() const;
    QPainterPath shape() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);

protected:
    void mousePressEvent(QGraphicsSceneMouseEvent *event);

private:
    int width;
    int height;
    QColor fill;
    QColor border;
    int yoffset;
    int xoffset;
    bool interact;
    QColor lborder;
    QColor rborder;
    QColor tborder;
    QColor bborder;
    bool plus;
};

#endif // BOX_H
