#ifndef BOX_INTERACT_PRMG_H
#define BOX_INTERACT_PRMG_H

#include <QtGui>
#include <string>
#include <vector>

using namespace std;

class box_interact_prmg: public QGraphicsItem
{
public:
    box_interact_prmg(int width, int height, QColor fill, QColor border, int xoffset, int yoffset, QColor lborder, QColor rborder, QColor tborder, QColor bborder, bool plus, bool interact, QString state, double pvalue, vector<string> genelist);

    QRectF boundingRect() const;
    QPainterPath shape() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);

protected:
    void mousePressEvent(QGraphicsSceneMouseEvent *event);

private:
    int width;
    int height;
    QColor fill;
    QColor border;
    int yoffset;
    int xoffset;
    bool interact;
    QColor lborder;
    QColor rborder;
    QColor tborder;
    QColor bborder;
    bool plus;
    QString state;
    double pvalue;
    vector<string> genelist;
};

#endif // BOX_INTERACT_PRMG_H

