#include "box_text.h"
#include "seqlogodialog.h"
#include <QtGui>

box_text::box_text(int width, int height, QColor fill, QColor border, int xoffset, int yoffset, QString text, bool vertical, bool interact, bool vbigtype, bool left)
{
    this->width = width;
    this->height = height;
    this->fill = fill;
    this->border = border;
    this->xoffset = xoffset;
    this->yoffset = yoffset;
    this->text = text;
    this->vertical = vertical;
    this->interact = interact;
    this->vbigtype = vbigtype;
    this->left = left;
}

QRectF box_text::boundingRect() const
{
    return QRectF(this->xoffset, this->yoffset, this->width, this->height);
}

QPainterPath box_text::shape() const
{
    QPainterPath path;
    path.addRect(this->xoffset, this->yoffset, this->width, this->height);
    return path;
}

void box_text::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) {

    if (vertical) {
        painter->setBrush(this->fill);
        painter->setPen(this->border);
        painter->save();
        painter->rotate(-90);
        painter->drawRect(QRect(-this->yoffset-this->height, this->xoffset, this->height, this->width));
        painter->setPen(QColor(0,0,0));
        if (this->vbigtype) {
           painter->setFont(QFont("Helvetica", this->width/6));
        } else {
           painter->setFont(QFont("Helvetica", this->height/12));
        }
        painter->drawText(QRect(-this->yoffset-this->height+10, this->xoffset, this->height-10, this->width),Qt::AlignLeading|Qt::AlignVCenter|Qt::TextWordWrap, this->text);
        painter->restore();
    } else {
        painter->setBrush(this->fill);
        painter->setPen(this->border);
        painter->drawRect(QRect(this->xoffset, this->yoffset, this->width, this->height));
        painter->setPen(QColor(0,0,0));
        painter->setFont(QFont("Helvetica", this->height/5));
        if (this->left) {
            painter->drawText(QRect(this->xoffset, this->yoffset, this->width, this->height),Qt::AlignVCenter|Qt::AlignLeading|Qt::TextWordWrap, this->text);
        } else {
            painter->drawText(QRect(this->xoffset, this->yoffset, this->width, this->height),Qt::AlignCenter|Qt::TextWordWrap, this->text);
        }
    }
}

void box_text::mousePressEvent(QGraphicsSceneMouseEvent *event)
{
    if(this->interact) {
        event->accept();
        seqlogodialog *dialog = new seqlogodialog(this->text);
        dialog->show();
//        this->width+=10;
//        //location to launch new info dialog
//        update();
    }
    QGraphicsItem::mousePressEvent(event);
}
