#ifndef BOX_TEXT_H
#define BOX_TEXT_H

#include <QtGui>
#include "seqlogodialog.h"

class box_text: public QGraphicsItem
{
public:
    box_text(int width, int height, QColor fill, QColor border, int xoffset, int yoffset, QString text, bool vertical = false, bool interact = false, bool vbigtype = false, bool left = false);

    QRectF boundingRect() const;
    QPainterPath shape() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);

protected:
    void mousePressEvent(QGraphicsSceneMouseEvent *event);

private:
    int width;
    int height;
    QColor fill;
    QColor border;
    int yoffset;
    int xoffset;
    QString text;
    bool vertical;
    bool interact;
    bool vbigtype;
    bool left;
};

#endif // BOX_TEXT_H
