#include "header_cont.h"
#include <QtGui>
#include "parser.h"
#include "metabindialog.h"

header_cont::header_cont(int width, int height, int xoffset, int yoffset, double min, double max, double bin_min, double bin_max, metabin databin, bool interact)
{
    this->width = width;
    this->height = height;
    this->fill = QColor(0,0,0);
    this->border = QColor(0,0,0);
    this->bin_fill = QColor(255,0,0);
    this->bin_border = QColor(255,0,0);
    this->min = min;
    this->max = max;
    this->bin_min = bin_min;
    this->bin_max = bin_max;
    this->xoffset = xoffset;
    this->yoffset = yoffset;
    this->databin = databin;
    this->interact = interact;
}

QRectF header_cont::boundingRect() const
{
    return QRectF(this->xoffset, this->yoffset, this->width, this->height);
}

QPainterPath header_cont::shape() const
{
    QPainterPath path;
    path.addRect(this->xoffset, this->yoffset, this->width, this->height);
    return path;
}

void header_cont::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) {
    painter->setBrush(this->fill);
    painter->setPen(this->border);
    painter->drawRect(QRect(this->xoffset, this->yoffset, this->width, this->height));

    painter->setBrush(this->bin_fill);
    painter->setPen(this->bin_border);
    double y_pos = (1- (this->bin_max-this->min)/ (this->max - this->min) ) * this->height + this->yoffset;
    double b_height = (0.001 + this->bin_max - this->bin_min) / (this->max - this->min) * this->height;
    painter->drawRect(QRect(this->xoffset, y_pos, this->width, b_height));
}

void header_cont::mousePressEvent(QGraphicsSceneMouseEvent *event)
{
    if(this->interact) {
        event->accept();
        metabindialog *dialog = new metabindialog(this->databin);
        dialog->show();
        //this->width+=10;
        //location to launch new info dialog
        //update();
    }
    QGraphicsItem::mousePressEvent(event);
}
