#ifndef HEADER_CONT_H
#define HEADER_CONT_H

#include <QtGui>
#include "parser.h"

class header_cont: public QGraphicsItem
{
public:
    header_cont(int width, int height, int xoffset, int yoffset, double min, double max, double bin_min, double bin_max, metabin databin, bool interact = true);

    QRectF boundingRect() const;
    QPainterPath shape() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);

protected:
    void mousePressEvent(QGraphicsSceneMouseEvent *event);

private:
    int width;
    int height;
    QColor fill;
    QColor border;
    QColor bin_fill;
    QColor bin_border;
    int yoffset;
    int xoffset;
    bool interact;
    double min;
    double max;
    double bin_min;
    double bin_max;
    metabin databin;
};


#endif // HEADER_CONT_H
