#include "header_disc.h"
#include <QtGui>
#include "parser.h"
#include "metabindialog.h"

header_disc::header_disc(int width, int height, int xoffset, int yoffset, QString bin, QColor background, metabin databin, bool interact)
{
    this->width = width;
    this->height = height;
    this->fill = background;
    this->border = background;
    this->bin = bin;
    this->xoffset = xoffset;
    this->yoffset = yoffset;
    this->databin = databin;
    this->interact = interact;
}

QRectF header_disc::boundingRect() const
{
    return QRectF(this->xoffset, this->yoffset, this->width, this->height);
}

QPainterPath header_disc::shape() const
{
    QPainterPath path;
    path.addRect(this->xoffset, this->yoffset, this->width, this->height);
    return path;
}

void header_disc::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) {
    painter->setBrush(this->fill);
    painter->setPen(this->border);
    painter->drawRect(QRect(this->xoffset, this->yoffset, this->width, this->height));

        // rotated text from documentation: http://developer.qt.nokia.com/faq/answer/how_can_i_draw_vertical_text
        painter->setPen(QColor(0,0,0));
        painter->setFont(QFont("Helvetica", this->width/2));
        painter->save();
        painter->translate(this->xoffset + (this->width * 7/8), this->yoffset + (this->height * 7/8));
        painter->rotate(-90);
    //    painter->translate(this->xoffset + this->width, this->yoffset + this->height);
    //    painter->rotate(-90);
        painter->drawText(0, 0, this->bin);
        painter->restore();
    // end rotated text
}

void header_disc::mousePressEvent(QGraphicsSceneMouseEvent *event)
{
    if(this->interact) {
        event->accept();
        metabindialog *dialog = new metabindialog(this->databin);
        dialog->show();
        //this->width+=10;
        //location to launch new info dialog
        //update();
    }
    QGraphicsItem::mousePressEvent(event);
}
