#include "resultchoice.h"
#include "ui_resultchoice.h"

#include <iostream>
#include <string>
#include <vector>
#include <sstream>
#include <algorithm>
#include <iterator>
#include <math.h>
#include <sys/stat.h>
#include <stdlib.h>
#include <fstream>
#include <map>
#include <algorithm>

#include <QtGui>
#include <QtDebug>

#include "fire_viewer.h"
#include "fire_interaction_viewer.h"
#include "firepro_viewer.h"
#include "firepro_interaction_viewer.h"
#include "ipage_viewer.h"
#include "prmg_viewer.h"
#include "prmg_protein_viewer.h"

using namespace std;

resultchoice::resultchoice(string filename, string presence, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::resultchoice)
{
    this->filenamereference = filename;
    ui->setupUi(this);
    this->setWindowTitle(tr("IGET Viewer"));
    this->setWindowIcon(QIcon(":/icon/icon"));

    // only support DNA_RNA at the moment
    if (presence.at(2) == '0') {
        ui->mFIButton->hide();
    } else {
        connect(ui->mFIButton, SIGNAL(clicked()), this, SLOT(launch_fire_viewer()));
    }

    if (presence.at(3) == '0') {
        ui->mFPButton->hide();
    } else {
        connect(ui->mFPButton, SIGNAL(clicked()), this, SLOT(launch_firepro_viewer()));
    }

    if (presence.at(4) == '0') {
        ui->pIPButton->hide();
    } else {
        connect(ui->pIPButton, SIGNAL(clicked()), this, SLOT(launch_ipage_viewer()));
    }

    if(presence.at(5) == '0') {
        ui->iPRButton->hide();
    } else {
        connect(ui->iPRButton, SIGNAL(clicked()), this, SLOT(launch_prmg_viewer()));
    }

    if(presence.at(6) == '0') {
        ui->iPRPButton->hide();
    } else {
        connect(ui->iPRPButton, SIGNAL(clicked()), this, SLOT(launch_prmg_protein_viewer()));
    }

}

void resultchoice::launch_fire_viewer() {
    fire_viewer *fire_viewer_dialog = new fire_viewer(this->filenamereference);
    fire_viewer_dialog->show();
    fire_interaction_viewer *fire_interaction_viewer_dialog = new fire_interaction_viewer(this->filenamereference);
    fire_interaction_viewer_dialog->show();
}
void resultchoice::launch_firepro_viewer() {
    firepro_viewer *firepro_viewer_dialog = new firepro_viewer(this->filenamereference);
    firepro_viewer_dialog->show();
    firepro_interaction_viewer *firepro_interaction_viewer_dialog = new firepro_interaction_viewer(this->filenamereference);
    firepro_interaction_viewer_dialog->show();
}
void resultchoice::launch_ipage_viewer() {
    ipage_viewer *ipage_viewer_dialog = new ipage_viewer(this->filenamereference);
    ipage_viewer_dialog->show();
}
void resultchoice::launch_prmg_viewer() {
    prmg_viewer *prmg_viewer_dialog = new prmg_viewer(this->filenamereference);
    prmg_viewer_dialog->show();
}
void resultchoice::launch_prmg_protein_viewer(){
    prmg_protein_viewer *prmg_protein_viewer_dialog = new prmg_protein_viewer(this->filenamereference);
    prmg_protein_viewer_dialog->show();
}
